.custom-cursor {
  width: 40px;
  height: 40px;
  border: 1.2px solid rgba(120,120,120,0.65);
  border-radius: 50%;
  position: fixed;
  pointer-events: none;
  z-index: 999999;
  transform: translate(-50%, -50%);
  transition: transform 0.18s ease, opacity 0.3s ease;
}

.custom-cursor.active {
  transform: translate(-50%, -50%) scale(0.85);
}

@media (max-width:768px){
  .custom-cursor{display:none;}
}
